> For the complete documentation index, see [llms.txt](https://docs.vectra.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vectra.ai/deployment/ndr-virtual-cloud-appliances/aws-vsensor.md).

# AWS vSensor

Parent page for AWS vSensor deployment and includes attachments used by the deployment.

Please see the sub pages of this page for the AWS vSensor deployment guide contents.

## Attachments

Attached to this article is a `loadBlanacerTemplate.json` file that you can use with CloudFormation to deploy a load balancer in front of your Sensor to bypass AWS limitations on traffic mirror sessions for certain instance types.

{% file src="/files/Fnby471yFdZrAi1E77d5" %}

Also attached to this article there are 3 files that are used for integration with AWS from the Brain for HostID (see the guide for more details):

**HostIdTemplate.yml**- Used for integration with the AWS Resource Manager to collect Host ID information

{% file src="/files/F4xUtybGpCH3nWLhGBOA" %}

**HostIdFederatedParentTemplate.yml** - Used for HostID in Federated AWS setups

{% file src="/files/Zmxi8lnqqMbkTyK8Tmls" %}

**HostIdFederatedChildTemplate.yml** - Used for HostID in Federated AWS setups

{% file src="/files/Y7HPxmMOXnTw5geMpzbE" %}

These files can also be downloaded from your Brain after deployment at the following locations:

* https\://\<brain\_hostname\_or\_IP>/resources/HostIdTemplate.yaml/serve\_file
* https\://\<brain\_hostname\_or\_IP>/resources/HostIdFederatedParentTemplate.yaml/serve\_file
* https\://\<brain\_hostname\_or\_IP>/resources/HostIdFederatedChildTemplate.yaml/serve\_file


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.vectra.ai/deployment/ndr-virtual-cloud-appliances/aws-vsensor.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
